Sync Nexa-managed jobs
POST
/api/v1/jobs/sync
const url = 'https://example.com/api/v1/jobs/sync?include_registry_check=true';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/api/v1/jobs/sync?include_registry_check=true'Sync tagged jobs from Databricks and soft-delete when tags are removed.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”include_registry_check
Include Registry Check
Compare tags vs deployment registry and emit discrepancy events.
boolean
Compare tags vs deployment registry and emit discrepancy events.
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}